WordPress.org

Ready to get started?Download WordPress

Forums

Insert Image Problem - win.send_to_editor is not a function (4 posts)

  1. dcbeer
    Member
    Posted 5 years ago #

    Hi, I recently upgraded from WordPress 2.3.x to 2.6. As of today, I am unable to insert images into posts. When I select the 'insert image' icon, I am able to upload the image, see the image in the gallery, provide a description, etc. However, when I attempt to insert the image into the post, a blank screen is returned. I have tried this in Firefox and Safari, both returning the same result.

    Firebug reports the following error in media-upload.php (line 4):
    win.send_to_editor is not a function

    I have tried the various suggestions that I have found in the forum so far, including the suggestions made in the sticky. I've upgraded Flash player, deleted contents of js_cache, re-installed the contents of wp-admin and wp-includes, and have tried disabling various plug-ins.

    Has anyone seen this error? Am I still missing an update to wp-admin or wp-includes? If anyone could offer any suggestions, I would very much appreciate it.

  2. dcbeer
    Member
    Posted 5 years ago #

    I'll go ahead and mark this one as "resolved." It appears that the problem is with the Sociable plug-in.
    (thanks to shickles and this forum post: http://wordpress.org/support/topic/191038)

    I disabled that plug-in and the problem disappeared. I'll try the upgrade as the post suggested and see if everything keeps working.

    Thanks!

  3. fredrikagert
    Member
    Posted 5 years ago #

    A little ashame I must admit that I found the error on my site. It was a linux webserver admin error, my own fault. The webserver did block all files that include the word "core" in it. Try it out yourself.
    Enter the following adress http://yoursite/hellocore should not be blocked and the following adress http://yoursite/corehello should not either be blocked. I mistakenly blocked both files. I also blocked some the following wordpress files as well:

    ./wp-admin/includes/update-core.php
    ./wp-admin/update-core.php
    ./wp-includes/js/jquery/ui.core.js

    The correct block was (in /etc/apache2/apache2.conf )

    <Files ~ "^core$">
       Order allow,deny
       Deny from all
    </Files>

    The erroneous block that blocked wp-includes/js/jquery/ui.core.js was

    <Files ~ "core">
       Order allow,deny
       Deny from all
    </Files>
  4. renkai
    Member
    Posted 5 years ago #

    I don't have the sociable plugin, yet I get the error. using WordPress 2.7.1.

Topic Closed

This topic has been closed to new replies.

About this Topic